package com.devbeh.kafka;


import com.devbeh.data.PerceptionRequest;
import com.google.protobuf.InvalidProtocolBufferException;
import org.apache.kafka.common.serialization.Deserializer;


public class PerceptionRequestDeserializer implements Deserializer<PerceptionRequest>
{
    @Override
    public PerceptionRequest deserialize(String topic, byte[] data)
    {
        try
        {
            return PerceptionRequest.parseFrom(data);
        }
        catch (InvalidProtocolBufferException e)
        {
            throw new RuntimeException(e);
        }
    }
}
