package com.devbeh.managers;


import com.devbeh.data.PerceptionResponse;


public interface PoseDataConsumer extends DataConsumer
{
    /**
     * Записывает результат оценки поз для очередного кадра в очередь для обработки. Если frameId будет равен -1,
     * видеопоток будет считаться завершенным. Вызов данного метода может заблокироваться на неопределенное время.
     *
     * @param poses результат детектирования для очередного кадра
     */
    void putPoses(PerceptionResponse poses) throws InterruptedException;
}
