#!/bin/bash
if [ -z "${DBM_USER_ID+x}" ]; then
  export DBM_USER_ID=$(id -u)
fi;
if [ -z "${DBM_GROUP_ID+x}" ]; then
  export DBM_GROUP_ID=$(id -g)
fi;
current_dir=$(pwd)
cd "$(dirname "${BASH_SOURCE[0]}")" || exit 1
docker-compose up -d --build "$@"
cd "$current_dir" || exit 1