package com.devbeh.kafka;


import com.devbeh.commondata.DevBehDetections;
import com.google.protobuf.InvalidProtocolBufferException;
import org.apache.kafka.common.serialization.Deserializer;


public class DevBehDetectionsDeserializer implements Deserializer<DevBehDetections>
{
    @Override
    public DevBehDetections deserialize(String topic, byte[] data)
    {
        try
        {
            return DevBehDetections.parseFrom(data);
        }
        catch (InvalidProtocolBufferException e)
        {
            throw new RuntimeException(e);
        }
    }
}
