package com.devbeh.kafka;


import com.devbeh.data.PerceptionResponse;
import com.google.protobuf.InvalidProtocolBufferException;
import org.apache.kafka.common.serialization.Deserializer;


public class PerceptionResponseDeserializer implements Deserializer<PerceptionResponse>
{
    @Override
    public PerceptionResponse deserialize(String topic, byte[] data)
    {
        try
        {
            return PerceptionResponse.parseFrom(data);
        }
        catch (InvalidProtocolBufferException e)
        {
            throw new RuntimeException(e);
        }
    }
}
