package com.devbeh.managers;


import com.devbeh.data.PerceptionResponse;


public interface DistanceDataConsumer extends DataConsumer
{
    /**
     * Записывает результат оценки расстояния для очередного кадра в очередь для обработки. Если frameId будет равен -1,
     * видеопоток будет считаться завершенным. Вызов данного метода может заблокироваться на неопределенное время.
     *
     * @param distances результат оценки расстояния для очередного кадра
     */
    void putDistances(PerceptionResponse distances) throws InterruptedException;
}
